Index: trunk/sources/HeuristicLab.Security.DataAccess/HeuristicLab.Security.DataAccess.csproj
===================================================================
--- trunk/sources/HeuristicLab.Security.DataAccess/HeuristicLab.Security.DataAccess.csproj	(revision 1402)
+++ trunk/sources/HeuristicLab.Security.DataAccess/HeuristicLab.Security.DataAccess.csproj	(revision 1449)
@@ -72,5 +72,4 @@
   </ItemGroup>
   <ItemGroup>
-    <Compile Include="IDataAdapter.cs" />
     <Compile Include="IPermissionAdapter.cs" />
     <Compile Include="IPermissionOwnerAdapter.cs" />
Index: trunk/sources/HeuristicLab.Security.DataAccess/IDataAdapter.cs
===================================================================
--- trunk/sources/HeuristicLab.Security.DataAccess/IDataAdapter.cs	(revision 1402)
+++ 	(revision )
@@ -1,56 +1,0 @@
-﻿#region License Information
-/* HeuristicLab
- * Copyright (C) 2002-2008 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
- *
- * This file is part of HeuristicLab.
- *
- * HeuristicLab is free software: you can redistribute it and/or modify
- * it under the terms of the GNU General Public License as published by
- * the Free Software Foundation, either version 3 of the License, or
- * (at your option) any later version.
- *
- * HeuristicLab is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
- */
-#endregion
-
-using System;
-using System.Collections.Generic;
-using System.Text;
-using HeuristicLab.Security.Contracts;
-
-namespace HeuristicLab.Security.DataAccess {
-  public interface IDataAdapter<ObjT>
-    where ObjT: PersistableObject
-  {
-    /// <summary>
-    /// Save or update the object
-    /// </summary>
-    /// <param name="user"></param>
-    void Update(ObjT obj);
-
-    /// <summary>
-    /// Get the object with the specified ID
-    /// </summary>
-    /// <param name="userId"></param>
-    /// <returns></returns>
-    ObjT GetById(long id);
-
-    /// <summary>
-    /// Get all objects
-    /// </summary>
-    /// <returns></returns>
-    ICollection<ObjT> GetAll();
-
-    /// <summary>
-    /// Deletes the object
-    /// </summary>
-    /// <param name="user"></param>
-    bool Delete(ObjT obj);
-  }
-}
Index: trunk/sources/HeuristicLab.Security.DataAccess/IPermissionAdapter.cs
===================================================================
--- trunk/sources/HeuristicLab.Security.DataAccess/IPermissionAdapter.cs	(revision 1402)
+++ trunk/sources/HeuristicLab.Security.DataAccess/IPermissionAdapter.cs	(revision 1449)
@@ -24,4 +24,5 @@
 using System.Text;
 using HeuristicLab.Security.Contracts.BusinessObjects;
+using HeuristicLab.DataAccess.Interfaces;
 
 namespace HeuristicLab.Security.DataAccess {
Index: trunk/sources/HeuristicLab.Security.DataAccess/IPermissionOwnerAdapter.cs
===================================================================
--- trunk/sources/HeuristicLab.Security.DataAccess/IPermissionOwnerAdapter.cs	(revision 1402)
+++ trunk/sources/HeuristicLab.Security.DataAccess/IPermissionOwnerAdapter.cs	(revision 1449)
@@ -24,4 +24,5 @@
 using System.Text;
 using HeuristicLab.Security.Contracts.BusinessObjects;
+using HeuristicLab.DataAccess.Interfaces;
 
 namespace HeuristicLab.Security.DataAccess {
Index: trunk/sources/HeuristicLab.Security.DataAccess/IUserAdapter.cs
===================================================================
--- trunk/sources/HeuristicLab.Security.DataAccess/IUserAdapter.cs	(revision 1402)
+++ trunk/sources/HeuristicLab.Security.DataAccess/IUserAdapter.cs	(revision 1449)
@@ -24,4 +24,5 @@
 using System.Text;
 using HeuristicLab.Security.Contracts.BusinessObjects;
+using HeuristicLab.DataAccess.Interfaces;
 
 namespace HeuristicLab.Security.DataAccess {
Index: trunk/sources/HeuristicLab.Security.DataAccess/IUserGroupAdapter.cs
===================================================================
--- trunk/sources/HeuristicLab.Security.DataAccess/IUserGroupAdapter.cs	(revision 1402)
+++ trunk/sources/HeuristicLab.Security.DataAccess/IUserGroupAdapter.cs	(revision 1449)
@@ -24,4 +24,5 @@
 using System.Text;
 using HeuristicLab.Security.Contracts.BusinessObjects;
+using HeuristicLab.DataAccess.Interfaces;
 
 namespace HeuristicLab.Security.DataAccess {
